<?php
define('NTOP', 1);
$title = 'Рекламодателю';
require_once ('../system/connect.php');
require_once ('../system/core.php');
require_once ('../system/function.php');
require_once ('head.php');
reg();

echo'<div class="topik">Информация для заказчика рекламы</div><div class="stat">
Рекламу на проэкте <b>ZipVap.ru</b> можно заказать заполнив форму чуть ниже.<br>
Реклама располагается сверху!<br>
Стоит это всего <b>500</b> кредитов, в неделю! у вас кредитов <b>'.$user_data['kr'].'</b>.<br>
Разместив ссылку у нас, ее будут видеть более 1000 человек в сутки.<br>
<b>Внимание!</b>Если реклама содержит поронографические термины, либо противоречит законам РФ,<br>кредиты по отклонению модерации не возвращаются!<br><br>';
if(isset($_POST['ok'])){
$url = filter($_POST['url']);
$url = trim(str_replace("http://","",$url));
$name = filter($_POST['name']);
$error = '';
if (mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."rek` WHERE `url` = '".$url."' LIMIT 1")) != 0){
$error .= 'Этот адрес уже добавлен!<br/>';
}
if (mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."rek` WHERE `user_id` = '".$user_data['id']."' LIMIT 1")) != 0){
$error .= 'Вы уже заказали рекламу или еще не истекло время прошлого заказа!<br/>';
}
if(mb_strlen($url) > 30){
$error .= 'Ошибка! Поле адрес не должно быть больше 30 символов!<br/>';
}
if(mb_strlen($name) > 50){
$error .= 'Ошибка! Поле название не должно быть больше 30 символов!<br/>';
}
if(empty($url) or empty($name)){
$error .= 'Все поля обязательны к заполнению!<br/>';
}
if(!empty($error)){
echo''.$error.'<a href="/str/reklama.php">Назад</a></div>';
}else{

if($user_data['kr'] >= 500){
$tt = time()+86400;
mysql_query("INSERT INTO `".$prefix."rek` SET `url` = '".$url."', `status` = '0', `name` = '".$name."', `user_id` = '".$user_data['login']."', `time` = '".$tt."'");
mysql_query("UPDATE `".$prefix."users` SET `kr` = (`kr` - 500) WHERE `id` = '".$user_data['id']."'");
echo 'Вы успешно заказали рекламу. Пока она на модерации. Удачной раскрутки!<br/><a href="/reklama.php">Назад</a></div>';
}}

}else{
echo'<form action="reklama.php" method="post">
Адрес(без http://):<br>
<input name="url" type="text" value="'.$_POST['url'].'" maxlength="30" ><br>
Название:<br>
<input name="name" type="text" value="'.$_POST['name'].'" maxlength="30" ><br>
<input name="ok" type="submit" value="Добавить" ></form></div>';
}
echo '<div class="faz"><b><< <a href="/str/office.php">В кабинет</a></b></div>';
require_once ('foot.php');
?>